Name: jdkgcj
Version: 0.2.3
Release: 5
Summary: A free Java SDK
URL: http://www.arklinux.org/projects/jdkgcj
Source: javac
Source1: java
Source2: jni.h
License: GPL
Group: Development/Languages
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
Requires: gcc-java = 3.2.2
Requires: libgcj = 3.2.2
BuildRequires: gcc-java = 3.2.2

%description
jdkgcj provides an interface to gcj that is compatible with the Sun and IBM
Java Development Kits (JDKs).
jdkgcj provides the javac, java and javah tools as well as jni.h, allowing
you to compile java extensions using JNI.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_includedir}
GCC=`gcj -dumpversion`
echo $GCC
ln -s gcjh $RPM_BUILD_ROOT%{_bindir}/javah
install -c -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}
install -c -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}
ln -s %{_libdir}/gcc-lib/*/$GCC/include/java $RPM_BUILD_ROOT%{_includedir}
ln -s %{_libdir}/gcc-lib/*/$GCC/include/javax $RPM_BUILD_ROOT%{_includedir}
ln -s %{_libdir}/gcc-lib/*/$GCC/include/jvmpi.h $RPM_BUILD_ROOT%{_includedir}
install -c -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_includedir}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Feb 15 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- rebuild for gcc 3.2.2

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec  4 2002 Jakub Jelinek <jakub@redhat.com> 0.2.4-3
- require exact gcc-java and libgcj versions, this time 3.2.1 (#78885)

* Wed Nov  7 2002 Nalin Dahyabhai <nalin@redhat.com> 0.2.3-2
- Rebuild

* Mon Jul 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.3-1
- Adapt to gcc 3.2 (#69948)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.2-1
- Handle weirdo options like "-D ."

* Wed Jun 12 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.1-1
- Fix passing of parameters containing spaces or quotes to java
  applications.

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.0-1
- Replace the java->gij symlink with a script that translates
  java options to gij options (allowing stuff like
  java -classpath "/foo" -Djava.library.path=/bar some/sub/class
  to work)

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.1.1-1
- Fix up default location of gcj jar file

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.1.0-1
- Fix up -d support in javac. It must handle multiple classes per file.

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.0.2-1
- Add support for -d in javac

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.0.1-1
- initial RPM
